using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using GoogleAPI = GoogleWindowsApplication.com.google.api;

namespace GoogleWindowsApplication
{
    public partial class GoogleForm : Form
    {
        public GoogleForm()
        {
            InitializeComponent();
        }

        private void buttonSeach_Click(object sender, EventArgs e)
        {
            string key = "7YTk/pVQFHKaDJUz1fpbn7Y+VzXEMpmx";
            string searchTxt = textBoxSearchTxt.Text.Trim();

            GoogleAPI.GoogleSearchService googleSearch =
                    new GoogleAPI.GoogleSearchService();
            try
            {
                GoogleAPI.GoogleSearchResult result =
                        googleSearch.doGoogleSearch(key, searchTxt, 0, 5, false, "", false, "", "", "");

                GoogleAPI.ResultElement[] elements = result.resultElements;
                
                foreach (GoogleAPI.ResultElement element in elements)
                {
                    this.urlListBox.Items.Add(element.URL);
                    this.logBox.AppendText("\r\nURL:" + element.URL);
                    this.logBox.AppendText("\r\nTitle:" + element.title);
                    this.logBox.AppendText("\r\nSnippet:" + element.snippet);
                    this.logBox.AppendText("\r\n");
                }

            }
            catch (System.Web.Services.Protocols.SoapException)
            {
                this.logBox.AppendText("\r\nFejl i search");
            }



        }

        private void urlListBox_SelectedIndexChanged(object sender, EventArgs e)
        {
            string url = urlListBox.SelectedItem.ToString();

            webBrowser1.Navigate(url);

        }
    }
}