using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace CalcWindowsApplication
{
    public partial class CalcMedWebservice : Form
    {
        public CalcMedWebservice()
        {
            InitializeComponent();
        }

        private void buttonAdd_Click(object sender, EventArgs e)
        {
            int x = int.Parse(textBoxX.Text);
            int y = int.Parse(textBoxY.Text);

            WebCalc.Service calc = new CalcWindowsApplication.WebCalc.Service();
            int res = calc.Add(x, y);

            textBoxResutal.Text = res.ToString();
        }

        private void buttonAddAsync_Click(object sender, EventArgs e)
        {
            int x = int.Parse(textBoxX.Text);
            int y = int.Parse(textBoxY.Text);

            WebCalc.Service calc = new WebCalc.Service();
            calc.AddCompleted += new WebCalc.AddCompletedEventHandler(calc_AddCompleted);
            calc.AddAsync(x, y);
            textBoxResutal.Text = "Regner";
        }

        void calc_AddCompleted(object sender, WebCalc.AddCompletedEventArgs e)
        {
            int res = e.Result;

            textBoxResutal.Text = res.ToString();
        }
    }
}